Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-52373

Edit Settings in Course returns Coding Error

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Not a bug
    • Affects Version/s: 3.0
    • Fix Version/s: None
    • Component/s: Course
    • Labels:
      None
    • Affected Branches:
      MOODLE_30_STABLE

      Description

      Just upgraded Moodle version from 2.9.2+ to 3.0+

      When clicking on Edit Settings on a particular course, it always returns the following error: error/debug/codingerror Coding error detected, it must be fixed by a programmer: get_device_type is removed, please update your code to use core_useragent instead.

      This may be unrelated, but during the upgrade it went smoothly with the exception of one of the plugins, "mod_exagames" returning the an error saying it was defective or outdated. So I deleted the plugin files in order to complete the upgrade.

      Please ask any troubleshooting questions or let me know where to find the necessary logs. Thanks in advance.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            Michael138 Michael
            Participants:
            Component watchers:
            Amaia Anabitarte, Carlos Escobedo, Ferran Recio, Sara Arjona (@sarjona), Víctor Déniz Falcón
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: